------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose.
-- This program provides services to automaticly check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------






with Text_Io;
use Text_Io;



package body Dependencies is





   procedure Initialize (
         A_Dep : in out Dependency ) is 
   begin
      null;
   end Initialize;

   procedure Finalize (
         A_Dep : in out Dependency ) is 
   begin
      null;
   end Finalize;

   procedure Adjust (
         A_Dep : in out Dependency ) is 
   begin
      null;
   end Adjust;


   procedure Dump (
         My_Dep : in     Dependency_Ptr ) is 
   begin
      Dump(My_Dep.all);
   end Dump;


   procedure Dump (
         My_Dep : in     Dependency'Class ) is 
   begin
      Dispatched_Dump(My_Dep);
   end Dump;


   ----------------------------------------------------------------------

   procedure Initialize (
         A_Pred : in out Precedence ) is 
   begin
      A_Pred.Dependence_Type:=Precedence_Dependency;
   end Initialize;

   procedure Finalize (
         A_Pred : in out Precedence ) is 
   begin
      null;
   end Finalize;

   procedure Adjust (
         A_Pred : in out Precedence ) is 
   begin
      null;
   end Adjust;

   procedure Dispatched_Dump (
         My_Pred : in     Precedence ) is 
   begin
      Put_Line("Precedence dependency :");
      Put_Line("   From : " & To_String(My_Pred.From_Task));
      Put_Line("   To   : " & To_String(My_Pred.To_Task));
   end Dispatched_Dump;




   function Dispatched_Copy (
         My_Pred : Precedence ) 
     return Dependency_Ptr is 

      Src :
      aliased Precedence := My_Pred;
      Ptr : Precedence_Ptr;  
   begin

      Ptr:=Src'Unchecked_Access;

      return Dependency_Ptr(Copy(Ptr));
   end Dispatched_Copy;


   function Copy (
         My_Dep : in     Dependency_Ptr ) 
     return Dependency_Ptr is 
   begin
      return Copy(My_Dep.all);
   end Copy;



   function Copy (
         My_Dep : in     Dependency'Class ) 
     return Dependency_Ptr is 
   begin
      return Dispatched_Copy(My_Dep);
   end Copy;



   function Copy (
         My_Precedence : in     Precedence_Ptr ) 
     return Precedence_Ptr is 

      Ptr : Precedence_Ptr;  
   begin
      Ptr:=new Precedence;
      Ptr.all:=My_Precedence.all;

      return Ptr;
   end Copy;

end Dependencies;


