------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Check_Button;
use Gtk.Check_Button;

with Project;
use Project;


package body Options_Pkg.Callbacks is




   procedure On_Ok_Pressed (
         Object : access Gtk_Button_Record'Class ) is 


   begin

      if Get_Active(Options.With_Offsets)
            then
         Schedule_With_Offsets:=True;
      else
         Schedule_With_Offsets:=False;
      end if;

      if Get_Active(Options.With_Precedencies)
            then
         Schedule_With_Precedencies:=True;
      else
         Schedule_With_Precedencies:=False;
      end if;

      if Get_Active(Options.With_Resources)
            then
         Schedule_With_Resources:=True;
      else
         Schedule_With_Resources:=False;
      end if;


      Hide(Options);

   end On_Ok_Pressed;




   procedure On_Cancel_Pressed (
         Object : access Gtk_Button_Record'Class ) is 
   begin
      Hide(Options);
   end On_Cancel_Pressed;

end Options_Pkg.Callbacks;



