------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Table;
use Gtk.Table;
with Gtk.Label;
use Gtk.Label;
with Gtk.Separator;
use Gtk.Separator;
with Gtk.Button;
use Gtk.Button;
with Gtk.Check_Button;
use Gtk.Check_Button;
with Gtk.Window;
use Gtk.Window;
with Gtk.Box;
use Gtk.Box;

package Options_Pkg is

   type Options_Record is new Gtk_Window_Record with private; 
   type Options_Access is access all Options_Record'Class; 

   procedure Gtk_New (
         Options :    out Options_Access ); 
   procedure Initialize (
         Options : access Options_Record'Class ); 

   Options : Options_Access;  

private

   type Options_Record is new Gtk_Window_Record with 
      record 
         Vbox              : Gtk_Table;  
         Label             : Gtk_Label;  
         With_Resources    : Gtk_Check_Button;  
         With_Precedencies : Gtk_Check_Button;  
         With_Offsets      : Gtk_Check_Button;  

         Hseparator    : Gtk_Hseparator;  
         Hbox          : Gtk_Hbox;  
         Ok_Button     : Gtk_Button;  
         Cancel_Button : Gtk_Button;  
         Vseparator    : Gtk_Vseparator;  
      end record; 

end Options_Pkg;
