------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Window;
use Gtk.Window;
with Gtk.Table;
use Gtk.Table;
with Gtk.Label;
use Gtk.Label;
with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Separator;
use Gtk.Separator;
with Gtk.Box;
use Gtk.Box;
with Gtk.Button;
use Gtk.Button;
with Gtk.Option_Menu;
use Gtk.Option_Menu;
with Gtk.Box;
use Gtk.Box;
with Gtk.Widget;
use Gtk.Widget;

with Systems;
use Systems;

with Processor_Set;
use Processor_Set;
use Processor_Set.Generic_Processor_Set;
with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;


package Tasks_Parameters_Pkg is


   type Tasks_Parameters_Record is new Gtk_Window_Record with 
      record 
         Vbox          : Gtk_Table;  
         Processor     : Gtk_Label;  
         Name          : Gtk_Label;  
         Start_Time    : Gtk_Label;  
         Blocking_Time : Gtk_Label;  
         Capacity      : Gtk_Label;  
         Jitter        : Gtk_Label;  
         Deadline      : Gtk_Label;  
         Period        : Gtk_Label;  
         Priority      : Gtk_Label;  
         Policy        : Gtk_Label;  
         Offset        : Gtk_Label;  

         Processor_Menu       : Gtk_Option_Menu;  
         Clist_Processor_Menu : Widget_Slist.Gslist;  
         Entry_Name           : Gtk_Entry;  
         Entry_Capacity       : Gtk_Entry;  
         Entry_Jitter         : Gtk_Entry;  
         Entry_Deadline       : Gtk_Entry;  
         Entry_Period         : Gtk_Entry;  
         Entry_Start_Time     : Gtk_Entry;  
         Entry_Blocking_Time  : Gtk_Entry;  
         Entry_Priority       : Gtk_Entry;  
         Policy_Menu          : Gtk_Option_Menu;  
         Clist_Policy_Menu    : Widget_Slist.Gslist;  
         Entry_Offset1_Val    : Gtk_Entry;  
         Entry_Offset1_Act    : Gtk_Entry;  
         Entry_Offset2_Val    : Gtk_Entry;  
         Entry_Offset2_Act    : Gtk_Entry;  
         Entry_Offset3_Val    : Gtk_Entry;  
         Entry_Offset3_Act    : Gtk_Entry;  
         Hseparator2          : Gtk_Hseparator;  
         Hseparator1          : Gtk_Hseparator;  
         Hbox                 : Gtk_Hbox;  
         Ok_Button            : Gtk_Button;  
         Add_Button           : Gtk_Button;  
         Cancel_Button        : Gtk_Button;  
         Vseparator           : Gtk_Vseparator;  
         Parent               : Unbounded_String;  

         Sys : System;  
      end record; 
   type Tasks_Parameters_Access is access all Tasks_Parameters_Record'Class; 

   procedure Gtk_New (
         Tasks_Parameters :    out Tasks_Parameters_Access ); 
   procedure Initialize (
         Tasks_Parameters : access Tasks_Parameters_Record'Class ); 

   Tasks_Parameters : Tasks_Parameters_Access;  

end Tasks_Parameters_Pkg;
