------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Window;
use Gtk.Window;
with Gtk.Table;
use Gtk.Table;
with Gtk.Label;
use Gtk.Label;
with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Separator;
use Gtk.Separator;
with Gtk.Button;
use Gtk.Button;
with Gtk.Box;
use Gtk.Box;
with Gtk.Scrolled_Window;
use Gtk.Scrolled_Window;
with Gtk.Option_Menu;
use Gtk.Option_Menu;
with Gtk.Widget;
use Gtk.Widget;
with Tasks;
use Tasks;
with Task_Set;
use Task_Set;
use Task_Set.Generic_Task_Set;
with Processor_Set;
use Processor_Set;
use Processor_Set.Generic_Processor_Set;

with Gtk.Clist;
use Gtk.Clist;
with Gtkada.Types;
use Gtkada.Types;
with Gtk.Frame;
use Gtk.Frame;
with Gtk.Scrolled_Window;
use Gtk.Scrolled_Window;
with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;
with Gtk.Enums;
use Gtk.Enums;

package Update_Tasks_Set_Pkg is

   type Update_Tasks_Set_Record is new Gtk_Window_Record with private; 
   type Update_Tasks_Set_Access is access all Update_Tasks_Set_Record'Class; 

   procedure Gtk_New (
         Update_Tasks_Set :    out Update_Tasks_Set_Access ); 
   procedure Initialize (
         Update_Tasks_Set : access Update_Tasks_Set_Record'Class ); 

   Update_Tasks_Set : Update_Tasks_Set_Access;  


private

   type Update_Tasks_Set_Record is new Gtk_Window_Record with 
      record 
         Scroll : Gtk_Scrolled_Window;  

         Tasks_List           : Gtk.Clist.Gtk_Clist;  
         Processor_Menu       : Gtk_Option_Menu;  
         Clist_Processor_Menu : Widget_Slist.Gslist;  
         Policy_Menu          : Gtk_Option_Menu;  
         Clist_Policy_Menu    : Widget_Slist.Gslist;  
         Task_Items           : String_List.Glist;  
         Current_Task         : Unbounded_String;  
         Current_Task_Ptr     : Task_Ptr;  
         Name                 : Gtk_Entry;  
         Start_Time           : Gtk_Entry;  
         Capacity             : Gtk_Entry;  
         Period               : Gtk_Entry;  
         Deadline             : Gtk_Entry;  
         Jitter               : Gtk_Entry;  
         Priority             : Gtk_Entry;  
         Blocking_Time        : Gtk_Entry;  
         Offset_Val1          : Gtk_Entry;  
         Offset_Val2          : Gtk_Entry;  
         Offset_Val3          : Gtk_Entry;  
         Offset_Act1          : Gtk_Entry;  
         Offset_Act2          : Gtk_Entry;  
         Offset_Act3          : Gtk_Entry;  

         Name_Label          : Gtk_Label;  
         Processor_Label     : Gtk_Label;  
         Start_Time_Label    : Gtk_Label;  
         Capacity_Label      : Gtk_Label;  
         Period_Label        : Gtk_Label;  
         Deadline_Label      : Gtk_Label;  
         Jitter_Label        : Gtk_Label;  
         Priority_Label      : Gtk_Label;  
         Policy_Label        : Gtk_Label;  
         Blocking_Time_Label : Gtk_Label;  
         Offset_Label        : Gtk_Label;  
         Offset_Act_Label    : Gtk_Label;  
         Offset_Val_Label    : Gtk_Label;  

         Frame_Task : Gtk.Frame.Gtk_Frame;  
         Task_Table : Gtk.Table.Gtk_Table;  

         Vbox_Main    : Gtk.Box.Gtk_Box;  
         Hbox_Task    : Gtk.Box.Gtk_Box;  
         Hbox_Confirm : Gtk.Box.Gtk_Box;  
         Vbox_List    : Gtk.Box.Gtk_Box;  
         Hbox_Modify  : Gtk.Box.Gtk_Box;  
         Vbox_Update  : Gtk.Box.Gtk_Box;  

         Button_Modify : Gtk.Button.Gtk_Button;  
         Ok_Button     : Gtk_Button;  
         Cancel_Button : Gtk_Button;  

         Hseparator1 : Gtk_Hseparator;  
         Vseparator  : Gtk_Vseparator;  
         Vseparator2 : Gtk_Vseparator;  

         Undo_Task : Tasks_Set;  

         Scroll_List : Gtk_Scrolled_Window;  
         List_Titles : Chars_Ptr_Array (1 .. 9);  
      end record; 

end Update_Tasks_Set_Pkg;
