------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose.
-- This program provides services to automaticly check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Buffers;
use Buffers;
use Buffers.Buffer_Roles;

with Time_Units;
use Time_Units;
use Time_Units.A_Time_Unit;

with Ada.Numerics.Float_Random;
use Ada.Numerics.Float_Random;



package Generation is

   function Get_Rand_Period (
         Min  : in     Natural;  
         Max  : in     Natural;  
         Seed : in     Generator ) 
     return Natural; 

   procedure Generation_1_N (
         Nb_Ordonnancement : Natural; 
         Period_Max        : Natural; 
         Per_Cons_Par      : Natural; 
         Save_Project      : Boolean  ); 

end Generation;
