------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose.
-- This program provides services to automaticly check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Unbounded_Strings;
use  Unbounded_Strings;


package body References is


begin

   Text :=

      Unbounded_Lf

      & To_Unbounded_String("[1]    Preemptive and Non-Preemptive") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("Real Time Uni-Processor Scheduling.") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("L. George, N. Rivierre and M. Spuri") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("INRIA Research Report number 2966.") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("September 1996.") & Unbounded_Lf &
      Unbounded_Lf


      & To_Unbounded_String(
      "[2]    Holistic Schedulability Analysis for ") & Unbounded_Lf
      & Tab & To_Unbounded_String("Distributed Hard Real-Time Systems.") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("K. Tindell and J. Clark") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("Microprocessing and Microprogramming ") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("40:117-134. 1994.") & Unbounded_Lf &
      Unbounded_Lf


      & To_Unbounded_String(
      "[3]    Priority Inheritance Protocols : An ") & Unbounded_Lf
      & Tab & To_Unbounded_String(
      "Approach to Real Time Synchronization.") & Unbounded_Lf
      & Tab & To_Unbounded_String("L. Sha, R. Rajkumar and J.P. Lehoczky") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("IEEE Transactions on computers,") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("39(9):1175-1185. 1990.") & Unbounded_Lf &
      Unbounded_Lf

      & To_Unbounded_String("[4]    Buffer Requirements in Real Time ") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("Systems with Periodic Tasks.") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("J. Legrand, F. Singhoff and L. Marc") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("EA2215 LIMI Research Report,") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("LEGRAND-06-2002.") & Unbounded_Lf
      & Unbounded_Lf

      & To_Unbounded_String("[5]    Scheduling dependant tasks with") &
      Unbounded_Lf
      & Tab & To_Unbounded_String(
      "Different Arrival Times to Meet Deadlines.") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("J. Blazewicz") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("In. Gelende H. Beilner (eds), ") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("Modeling and Performance Evaluation") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("of Computer Systems,. Amsterdam 1976") &
      Unbounded_Lf
      & Unbounded_Lf

      & To_Unbounded_String("[6]    Dynamic Scheduling of Real Time") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("Tasks Under Precedence Constraints.") &
      Unbounded_Lf
      & Tab & To_Unbounded_String(
      "H. Chetto, M. Silly and T. Bouchentouf") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("RTS International Journal of Time") &
      Unbounded_Lf
      & Tab & To_Unbounded_String(
      "Critical Computing Systems. 2(3):181-194,") &
      Unbounded_Lf
      & Tab & To_Unbounded_String("September 1990.") &
      Unbounded_Lf


      -- end of the text
      --
      & Unbounded_Lf
      & Unbounded_Lf
      & Unbounded_Lf;

end References;
