------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with tasks;
use tasks;
with Task_Set;
use Task_Set;

with Scheduler;
use Scheduler;
with Scheduler.Edf;
use Scheduler.Edf;

with Text_Io;
use Text_Io;


with Offsets;
use Offsets;


procedure Period is 


   My_Scheduler : Edf_Scheduler;  
   Tasks1,  
   Tasks2       : Tasks_Set;  

   Cpu    : Unbounded_String := To_Unbounded_String ("cpu");  
   Offset : Offset_Table;  
   Period : Natural          := 0;  

begin

   Initialize(Offset);

   Add_Task(Tasks1, To_Unbounded_String("T1"), Cpu , 0,
      1, 10,0, 0, 0, 1, SCHED_FIFO, Offset);
   Add_Task(Tasks1, To_Unbounded_String("T2"), Cpu , 0,
      1, 5, 0, 0, 0, 1, SCHED_FIFO, Offset);
   Add_Task(Tasks1, To_Unbounded_String("T3"), Cpu , 0,
      1, 3, 0, 0, 0, 1, SCHED_FIFO, Offset);


   Dump(Tasks1);

   Period:=Scheduling_Period(My_Scheduler, Tasks1, Cpu);
   Put_Line ("Res = " & Period'Img);


   Add_Task(Tasks2, To_Unbounded_String("T1"), Cpu , 0,
      1, 5, 0, 0, 0, 1, SCHED_FIFO, Offset);
   Add_Task(Tasks2, To_Unbounded_String("T2"), Cpu , 0,
      1, 1, 0, 0, 0, 1, SCHED_FIFO, Offset);
   Add_Task(Tasks2, To_Unbounded_String("T3"), Cpu , 0,
      1, 3, 0, 0, 0, 1, SCHED_FIFO, Offset);

   Dump(Tasks2);

   Period:=Scheduling_Period(My_Scheduler, Tasks2, Cpu);
   Put_Line ("Res = " & Period'Img);

end Period;

