------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Package description :
--
-- 
-- 
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with stacks;

with Text_Io;
use Text_Io;


procedure tstacks is 

   package Integerio is new Text_Io.Integer_Io(Integer);

   procedure My_Put (
         I : Integer ) is 
   begin
      Integerio.Put(I);
   end My_Put;

   package My_stacks is new stacks (4,Integer, My_Put);
   use My_stacks;

   A_stack : stack;  
   Res    : Integer;  

begin
   Reset(A_stack);

   push(A_stack, 1);
   push(A_stack, 2);
   push(A_stack, 3);
   Dump(A_stack);

   pop(A_stack, Res);
	put_line("Res = " & res'img);
   Dump(A_stack);
	
	
	res:=get_top(A_stack);
	put_line("Res = " & res'img);

   pop(A_stack, Res);
   pop(A_stack, Res);
   if Is_Empty(A_stack)
         then
      Put_Line("Stack is empty");
   end if;

   push(A_stack, 1);
   push(A_stack, 1);
   push(A_stack, 1);
   push(A_stack, 1);
   Put_Line("stack is full");
   push(A_stack, 1);

end Tstacks;



