------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Text_Io;
use Text_Io;


package body Unbounded_Strings is


   procedure Put (
         Str : in     Unbounded_String ) is 
   begin
      Put(To_String(Str));
   end Put;


   procedure Put_Line (
         Str : in     Unbounded_String ) is 
   begin
      Put(Str);
      New_Line;
   end Put_Line;



   procedure To_Integer (
         From : in     Unbounded_String; 
         To   :    out Integer;          
         Ok   :    out Boolean           ) is 
   begin
      To:=Natural'Value(To_String(From));
      Ok:=True;
   exception
      when Constraint_Error =>
         To:=0;
         Ok:=False;
   end  To_Integer;



   procedure To_Natural (
         From : in     Unbounded_String; 
         To   :    out Natural;          
         Ok   :    out Boolean           ) is 
   begin
      To:=Natural'Value(To_String(From));
      Ok:=True;
   exception
      when Constraint_Error =>
         To:=0;
         Ok:=False;
   end  To_Natural;



   procedure Initialize (
         St :    out Unbounded_String ) is 
   begin
      St:=Empty_String;
   end Initialize;


   procedure Initialize (
         St :    out Strings_Table ) is 
   begin
      for I in Strings_Table_Range loop
         St(I):=Empty_String;
      end loop;
   end Initialize;



end Unbounded_Strings;
